DataInputControllerGetDataInputTransforms Method |
GET /DataInput/Transforms/
Gets the data input transforms for a given metric set or data cube.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Transforms")]
public HttpResponseMessage GetDataInputTransforms(
Guid fileId,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Transforms")>
Public Function GetDataInputTransforms (
fileId As Guid,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Transforms")]
HttpResponseMessage^ GetDataInputTransforms(
Guid fileId,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Transforms")>]
member GetDataInputTransforms :
fileId : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- fileId
- Type: SystemGuid
The ID of the metric set or data cube to get the data input transforms for. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
An array of
TransformInfoData containing the transform information for the metric set, or a status code indicating the reason for failure.
See Also